---
title: llarp::thread

---

# llarp::thread



## Classes

|                | Name           |
| -------------- | -------------- |
| class | **[llarp::thread::QueuePushGuard](Classes/classllarp_1_1thread_1_1QueuePushGuard.md)**  |
| class | **[llarp::thread::QueuePopGuard](Classes/classllarp_1_1thread_1_1QueuePopGuard.md)**  |
| class | **[llarp::thread::Queue](Classes/classllarp_1_1thread_1_1Queue.md)**  |
| class | **[llarp::thread::QueueManager](Classes/classllarp_1_1thread_1_1QueueManager.md)**  |

## Types

|                | Name           |
| -------------- | -------------- |
| enum class uint32_t | **[ElementState](Namespaces/namespacellarp_1_1thread.md#enum-elementstate)** { Empty = 0, Writing = 1, Full = 2, Reading = 3} |
| enum class| **[QueueReturn](Namespaces/namespacellarp_1_1thread.md#enum-queuereturn)** { Success, QueueDisabled, QueueEmpty, QueueFull} |

## Functions

|                | Name           |
| -------------- | -------------- |
| constexpr std::string_view | **[ToString](Namespaces/namespacellarp_1_1thread.md#function-tostring)**(QueueReturn val) |

## Types Documentation

### enum ElementState

| Enumerator | Value | Description |
| ---------- | ----- | ----------- |
| Empty | 0|   |
| Writing | 1|   |
| Full | 2|   |
| Reading | 3|   |




### enum QueueReturn

| Enumerator | Value | Description |
| ---------- | ----- | ----------- |
| Success | |   |
| QueueDisabled | |   |
| QueueEmpty | |   |
| QueueFull | |   |





## Functions Documentation

### function ToString

```cpp
constexpr std::string_view ToString(
    QueueReturn val
)
```






-------------------------------

Updated on 2023-01-23 at 22:05:56 +0000